<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $page;

// RSS Feed only available in category or index gallery
if (isset($page['section']) and $page['section'] == 'categories')
{
  include_once PHPWG_ROOT_PATH.'plugins/piclens/include/Piclens.class.php';

  $obj = new Piclens();
  $obj->load_config();

  $rssfeed = '';

  if( empty($page['category']))
  {
    $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclenswall-rss.php?/categories';
  }
  else
  {
  // remplacement naviagation ne doit pas etre active et mis en place sur la page...
    if (!@$obj->my_config['piclens_wall_nav'] or !@in_array($page['category']['id'], $obj->my_config['piclens_wall_cat_nav_replace']))
    {        
      if (@$obj->my_config['piclens_wall_specif'] == 'common') // pas de specificites 3DWall : utilisation des parametres piclens
      {
        $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'.(empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink']);
      }
      elseif (@in_array($page['category']['id'], $obj->my_config['piclens_wall_categories']))
      {
        //  categorie pour laquelle le mur est parametre.
        $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclenswall-rss.php?/category/'.(empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink']);
      }
    }
  }
  $block['RSSFEED'] = $rssfeed;
  $block['PIC_HEIGHT']  = @$obj->my_config['piclens_wall_height']; //$datas[0];
  $block['COLOR']  = @$obj->my_config['piclens_wall_color']; //$datas[1];
  $block['SHOWFULLSCREEN'] = (@$obj->my_config['piclens_wall_showfullscreen'] ? "true" : "false");
  $block['SHOWEMBED'] = (@$obj->my_config['piclens_wall_showembed'] ? "true" : "false");
  $block['SHOWSEARCH'] = (@$obj->my_config['piclens_wall_showsearch'] ? "true" : "false");
  $block['TRANSPARENT'] = @$obj->my_config['piclens_wall_transparent'];
  $block['SWF_LINK'] = (@$obj->my_config['piclens_wall_swflocal'] ? @$obj->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf');
  $block['NBLIGNE'] = (isset($obj->my_config['piclens_wall_nb_ligne']) ? @$obj->my_config['piclens_wall_nb_ligne'] : "3");

  if (isset($obj->my_config['piclens_wall_showitemembed']))
    $block['showitemembed'] = (@$obj->my_config['piclens_wall_showitemembed'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showlinkout']))
    $block['showlinkout'] = (@$obj->my_config['piclens_wall_showlinkout'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showclose']))
    $block['showclose'] = (@$obj->my_config['piclens_wall_showclose'] ? "true" : "false");    
  
  if (isset($obj->my_config['piclens_wall_showChrome']))
    $block['showChrome'] = (@$obj->my_config['piclens_wall_showChrome'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showDescription']))
    $block['showDescription'] = (@$obj->my_config['piclens_wall_showDescription'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showReflections']))
    $block['showReflections'] = (@$obj->my_config['piclens_wall_showReflections'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showTutorial']))
    $block['showTutorial'] = (@$obj->my_config['piclens_wall_showTutorial'] ? "true" : "false");
  if (isset($obj->my_config['piclens_wall_showNavArrows']))
    $block['showNavArrows'] = (@$obj->my_config['piclens_wall_showNavArrows'] ? "true" : "false");
  
  $block['backgroundAlpha'] = isset($obj->my_config['piclens_wall_backgroundAlpha']) ? $obj->my_config['piclens_wall_backgroundAlpha'] : "1.0";
  if (isset($obj->my_config['piclens_wall_backgroundColor']))
    $block['backgroundColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_backgroundColor']) ;
  if (isset($obj->my_config['piclens_wall_glowColor']))
    $block['glowColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_glowColor']);
  if (isset($obj->my_config['piclens_wall_descriptionHeight']))
    $block['descriptionHeight'] = @$obj->my_config['piclens_wall_descriptionHeight'];
  if (isset($obj->my_config['piclens_wall_tilt']))
    $block['tilt'] = $obj->my_config['piclens_wall_tilt'];

    if (isset($obj->my_config['piclens_wall_backgroundImage']) and !empty($obj->my_config['piclens_wall_backgroundImage']))
        $block['backgroundImage'] = @$obj->my_config['piclens_wall_backgroundImage'];

    if (isset($obj->my_config['piclens_wall_tutorial']) and !empty($obj->my_config['piclens_wall_tutorial']))
        $block['tutorial'] = (empty($obj->my_config['piclens_wall_tutorialtime']) ? "4500" : @$obj->my_config['piclens_wall_tutorialtime']).','.@$obj->my_config['piclens_wall_tutorial'];    


  if (isset($obj->my_config['piclens_wall_customButtonURL']) and !empty($obj->my_config['piclens_wall_customButtonURL']))
        $block['customButton'] = @$obj->my_config['piclens_wall_customButtonURL'].(empty($obj->my_config['piclens_wall_customButtonTARGET']) ? ','.PICLENS_PATH : ','.@$obj->my_config['piclens_wall_customButtonTARGET']); 

    if (isset($obj->my_config['piclens_wall_icons']) and !empty($obj->my_config['piclens_wall_icons']))
        $block['icons'] = @$obj->my_config['piclens_wall_icons']; 
    if (isset($obj->my_config['piclens_wall_linkCSS']) and !empty($obj->my_config['piclens_wall_linkCSS']))
        $block['icons'] = @$obj->my_config['piclens_wall_linkCSS'];

  $block['TEMPLATE'] = realpath(PICLENS_PATH.'stuffs_piclenswall.tpl');
}

?>